<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.huimv.env.input.mapper.PortChangeDataMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.huimv.env.input.entity.PortChangeData">
        <id column="id" property="id" />
        <result column="terminal_port_code" property="terminalPortCode" />
        <result column="terminal_code" property="terminalCode" />
        <result column="gatway_code" property="gatwayCode" />
        <result column="active_power" property="activePower" />
        <result column="reactive_power" property="reactivePower" />
        <result column="apparent_power" property="apparentPower" />
        <result column="before_active_power" property="beforeActivePower" />
        <result column="before_reactive_power" property="beforeReactivePower" />
        <result column="before_apparent_power" property="beforeApparentPower" />
        <result column="electric_current" property="electricCurrent" />
        <result column="before_electric_current" property="beforeElectricCurrent" />
        <result column="create_time" property="createTime" />
        <result column="num" property="num" />
    </resultMap>

</mapper>
